Query and filter for bill line items. - m3ter Documentation
Query and filter for bill line items.
cURL
curl --request POST \
--url https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"lineItemTypes": [],
"version": 123,
"dimensions": [\
{\
"name": "<string>",\
"filter": [\
"<string>"\
],\
"attributes": [\
"<string>"\
]\
}\
],
"limit": 1000
}
'
Code Examples
import requests
url = "https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills"
payload = {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"lineItemTypes": [],
"version": 123,
"dimensions": [
{
"name": "<string>",
"filter": ["<string>"],
"attributes": ["<string>"]
}
],
"limit": 1000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
lineItemTypes: [],
version: 123,
dimensions: [{name: '<string>', filter: ['<string>'], attributes: ['<string>']}],
limit: 1000
})
};
fetch('https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'startDate' => '2023-11-07T05:31:56Z',
'endDate' => '2023-11-07T05:31:56Z',
'lineItemTypes' => [],
'version' => 123,
'dimensions' => [[
'name' => '<string>',
'filter' => ['<string>'],
'attributes' => ['<string>']
]
],
'limit' => 1000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.m3ter.com/organizations/{orgId}/dataexplorer/bills"
payload := strings.NewReader("{\n \"startDate\": \"2023-11-07T05:31:56Z\",
\"endDate\": \"2023-11-07T05:31:56Z\",
\"lineItemTypes\": [],\n \"version\": 123,\n \"dimensions\": [\n {\n \"name\": \"<string>\",\n \"filter\": [\n \"<string>\"\n ],\n \"attributes\": [\n \"<string>\"\n ]\n }\n ],\n \"limit\": 1000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Structure
{
"values": [
{
"updatedDate": "2023-11-07T05:31:56Z",
"dimensions": {
"account": "<string>",
"accountName": "<string>",
"accountId": "<string>",
"parentAccountCode": "<string>",
"parentAccountName": "<string>",
"parentAccountId": "<string>",
"childAccountId": "<string>",
"description": "<string>",
"productName": "<string>",
"quantityUnit": "<string>",
"subtotalUnit": "<string>",
"convertedSubtotalUnit": "<string>",
"billId": "<string>",
"externalInvoiceReference": "<string>",
"commitmentId": "<string>",
"billLineItemId": "<string>"
},
"measures": {
"convertedSubtotal": 123,
"subtotal": 123,
"version": 123,
"conversionRate": 123,
"quantity": 123,
"units": 123
},
"billDetails": {
"day": 123,
"week": "<string>",
"year": 123,
"month": "<string>",
"locked": "<string>",
"status": "<string>",
"dueDate": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"servicePeriodStartDate": "<string>",
"servicePeriodEndDate": "<string>",
"billDate": "<string>",
"timezone": "<string>",
"yearMonth": "<string>",
"billCurrency": "<string>",
"billingFrequency": "<string>"
}
}
]
}
Error Responses
{
"message": "<string>"
}
{
"message": "<string>"
}